[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# OpenURL

Open a given URL with the default browser.

## Declaration

Source position: lclintf.pas line 83

`function OpenURL(`
`AURL: string`
`):Boolean;`

## Arguments

`AURL` |  | URL with the resource to open in the browser.

## Function result

True if the browser was found and called to open the URL.

## Description

The function uses FindDefaultBrowser to find the default browser for the platform. If it was found, it is started and the returns value is set to True.

AURL is passed as parameter to the browser application. AURL must be a URL like http://www.lazarus.freepascal.org or file:///tmp/test.txt or file://C:\test.txt. AURL is quoted when passed as an argument to ensure that space(s) in the path or file name are handled properly.